org.eclipse.mat.ui.internal.views

## Class NotesView

- java.lang.Object
- - ViewPart
  - - org.eclipse.mat.ui.internal.views.NotesView

All Implemented Interfaces:
  Observer

    public class NotesView
    extends ViewPart
    implements Observer

### Constructor Summary

Constructors
Constructor and Description
`NotesView()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `createPartControl(Composite parent)`
`void` `dispose()`
`void` `doSave(IProgressMonitor monitor)`
`void` `doSaveAs()`
`boolean` `isDirty()`
`boolean` `isSaveAsAllowed()`
`boolean` `isSaveOnCloseNeeded()`
`void` `partActivated(IWorkbenchPart part)`
`void` `partBroughtToTop(IWorkbenchPart part)`
`void` `partClosed(IWorkbenchPart part)`
`void` `partDeactivated(IWorkbenchPart part)`
`void` `partOpened(IWorkbenchPart part)`
`int` `promptToSaveOnClose()`
`void` `resetUndoManager()`
`void` `setFocus()`
`void` `update(Observable o, Object arg)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NotesView

    public NotesView()

### Method Detail

#### createPartControl

    public void createPartControl(Composite parent)

#### setFocus

    public void setFocus()

#### partActivated

    public void partActivated(IWorkbenchPart part)

#### partBroughtToTop

    public void partBroughtToTop(IWorkbenchPart part)

#### partClosed

    public void partClosed(IWorkbenchPart part)

#### partDeactivated

    public void partDeactivated(IWorkbenchPart part)

#### partOpened

    public void partOpened(IWorkbenchPart part)

#### update

    public void update(Observable o,
                       Object arg)

Specified by:
  `update` in interface `Observer`

#### dispose

    public void dispose()

#### resetUndoManager

    public void resetUndoManager()

#### doSave

    public void doSave(IProgressMonitor monitor)

#### doSaveAs

    public void doSaveAs()

#### isDirty

    public boolean isDirty()

#### isSaveAsAllowed

    public boolean isSaveAsAllowed()

#### isSaveOnCloseNeeded

    public boolean isSaveOnCloseNeeded()

#### promptToSaveOnClose

    public int promptToSaveOnClose()